Loading...
Searching...
No Matches
gr::tag_t Struct Reference

`#include <gnuradio/tags.h>`

## Public Member Functions

bool | operator== (const tag_t &t) const
| equality comparison. Compares all details, except marked_delete
| tag_t ()
| tag_t (const tag_t &rhs)
| Copy constructor; constructs identical tag, but doesn't copy marked_delete.
tag_t & | operator= (const tag_t &rhs)
| ~tag_t ()

## Static Public Member Functions

static bool | offset_compare (const tag_t &x, const tag_t &y)
| Comparison function to test which tag, `x` or `y`, came first in time.

## Public Attributes

uint64_t | offset
| the item `tag` occurred at (as a uint64_t)
pmt::pmt_t | key
| the key of `tag` (as a PMT symbol)
pmt::pmt_t | value
| the value of `tag` (as a PMT)
pmt::pmt_t | srcid
| the source ID of `tag` (as a PMT)
std::vector< long > | marked_deleted
| Used by gr_buffer to mark a tagged as deleted by a specific block. You can usually ignore this.

## Friends

bool | operator< (const tag_t &x, const tag_t &y)
| Comparison function to test which tag, `x` or `y`, came first in time.

## Constructor & Destructor Documentation

## tag_t() [1/2]

gr::tag_t::tag_t | ( |  | ) |

inline

References key, offset, PMT_F, PMT_NIL, srcid, and value.

Referenced by offset_compare(), operator<, operator=(), operator==(), and tag_t().

## tag_t() [2/2]

gr::tag_t::tag_t | ( | const tag_t & | rhs | ) |

inline

Copy constructor; constructs identical tag, but doesn't copy marked_delete.

References key, offset, srcid, tag_t(), and value.

## ~tag_t()

gr::tag_t::~tag_t | ( |  | ) |

inline

## Member Function Documentation

## offset_compare()

bool gr::tag_t::offset_compare | ( | const tag_t & | x,
|  | const tag_t & | y )

inline static

Comparison function to test which tag, `x` or `y`, came first in time.

References tag_t().

## operator=()

tag_t & gr::tag_t::operator= | ( | const tag_t & | rhs | ) |

inline

References key, offset, srcid, tag_t(), and value.

## operator==()

bool gr::tag_t::operator== | ( | const tag_t & | t | ) | const

inline

equality comparison. Compares all details, except marked_delete

References key, offset, srcid, tag_t(), and value.

## Friends And Related Symbol Documentation

## operator<

bool operator< | ( | const tag_t & | x,
|  | const tag_t & | y )

friend

Comparison function to test which tag, `x` or `y`, came first in time.

References offset, and tag_t().

## Member Data Documentation

## key

pmt::pmt_t gr::tag_t::key

the key of `tag` (as a PMT symbol)

Referenced by gr::block::add_item_tag(), operator=(), operator==(), gr::block::remove_item_tag(), tag_t(), and tag_t().

## marked_deleted

std::vector<long> gr::tag_t::marked_deleted

Used by gr_buffer to mark a tagged as deleted by a specific block. You can usually ignore this.

## offset

uint64_t gr::tag_t::offset

the item `tag` occurred at (as a uint64_t)

Referenced by gr::block::add_item_tag(), operator<, operator=(), operator==(), gr::block::remove_item_tag(), tag_t(), and tag_t().

## srcid

pmt::pmt_t gr::tag_t::srcid

the source ID of `tag` (as a PMT)

Referenced by gr::block::add_item_tag(), operator=(), operator==(), gr::block::remove_item_tag(), tag_t(), and tag_t().

## value

pmt::pmt_t gr::tag_t::value

the value of `tag` (as a PMT)

Referenced by gr::block::add_item_tag(), operator=(), operator==(), gr::block::remove_item_tag(), tag_t(), and tag_t().

The documentation for this struct was generated from the following file:

- tags.h